# List attendance periods. List attendance periods by given filters. # OpenAPI definition ```json { "openapi": "3.0.0", "info": { "title": "Attendances API", "version": "2.0.0", "description": "Endpoints to manage attendance periods, projects and their members." }, "servers": [ { "url": "https://api.personio.de" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Attendances", "description": "Endpoints relating to the times that people work, and the rules that define this." } ], "paths": { "/v2/attendance-periods": { "get": { "x-path-examples": { "200 LIST attendance periods": { "value": "/papi/v2/attendance-periods" }, "200 LIST attendance periods by limit": { "value": "/papi/v2/attendance-periods", "query": "limit=1" }, "200 LIST attendance periods by person id": { "value": "/papi/v2/attendance-periods", "query": "person.id=1" }, "200 LIST attendance periods by multiple person ids": { "value": "/papi/v2/attendance-periods", "query": "person.id=1,2,3" }, "200 LIST attendance periods by status": { "value": "/papi/v2/attendance-periods", "query": "status=CONFIRMED" }, "200 LIST attendance periods by ids": { "value": "/papi/v2/attendance-periods", "query": "id=bd242cd1-5116-41a0-99aa-c12af4837c81&id=9b620908-8252-4dbb-b406-053a9b9d8e98" }, "200 LIST attendance periods by start date from": { "value": "/papi/v2/attendance-periods", "query": "start.date_time.gte=2024-06-07T00:00:00" }, "200 LIST attendance periods by start date to": { "value": "/papi/v2/attendance-periods", "query": "start.date_time.lte=2024-06-08T00:00:00" }, "200 LIST attendance periods by end date from": { "value": "/papi/v2/attendance-periods", "query": "end.date_time.gte=2024-06-07T00:00:00" }, "200 LIST attendance periods by end date to": { "value": "/papi/v2/attendance-periods", "query": "end.date_time.lte=2024-06-08T00:00:00" }, "200 LIST attendance periods by updated date from": { "value": "/papi/v2/attendance-periods", "query": "updated_at.gte=2024-06-07T00:00:00" }, "200 LIST attendance periods by updated date to": { "value": "/papi/v2/attendance-periods", "query": "updated_at.lte=2024-06-08T00:00:00" }, "200 LIST attendance periods by attribution date from": { "value": "/papi/v2/attendance-periods", "query": "attribution_date.gte=2024-06-07" }, "200 LIST attendance periods by attribution date to": { "value": "/papi/v2/attendance-periods", "query": "attribution_date.lte=2024-06-08" }, "200 LIST attendance periods sorted by start time ascending": { "value": "/papi/v2/attendance-periods", "query": "sort=start.date_time" }, "200 LIST attendance periods sorted by multiple fields": { "value": "/papi/v2/attendance-periods", "query": "sort=status,person.id,-start.date_time,-end.date_time" }, "422 Invalid limit": { "value": "/papi/v2/attendance-periods", "query": "limit=300" }, "422 Invalid status": { "value": "/papi/v2/attendance-periods", "query": "status=notvalid" }, "403 Forbidden response": { "value": "/papi/v2/attendance-periods" } }, "tags": [ "Attendances" ], "summary": "List attendance periods.", "description": "List attendance periods by given filters.", "parameters": [ { "$ref": "#/paths/~1v2~1projects/get/parameters/0" }, { "name": "limit", "in": "query", "required": false, "schema": { "type": "integer", "minimum": 1, "maximum": 100, "default": 100, "example": 50 }, "description": "The maximum number of attendance periods returned per request." }, { "name": "id", "in": "query", "required": false, "schema": { "type": "array", "items": { "type": "string" } }, "description": "Filter results matching any of the provided attendance periods' ids.\n", "example": "bd242cd1-5116-41a0-99aa-c12af4837c81" }, { "name": "person.id", "in": "query", "required": false, "schema": { "type": "array", "items": { "type": "string" } }, "description": "Filter results matching any of the provided persons' ids.\n", "example": "123" }, { "name": "start.date_time.gte", "in": "query", "required": false, "schema": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" }, "description": "Matches attendance periods starting from (inclusive) the provided date-time.", "example": "2023-01-01T12:00:00" }, { "name": "start.date_time.lte", "in": "query", "required": false, "schema": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" }, "description": "Matches attendance periods starting before or at the provided date-time.", "example": "2023-01-01T12:00:00" }, { "name": "end.date_time.lte", "in": "query", "required": false, "schema": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" }, "description": "Matches attendance periods ending before or at the provided date-time.", "example": "2023-01-01T12:00:00" }, { "name": "end.date_time.gte", "in": "query", "required": false, "schema": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" }, "description": "Matches attendance periods ending after or at the provided date-time.", "example": "2023-01-01T12:00:00" }, { "name": "updated_at.gte", "in": "query", "required": false, "schema": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" }, "description": "Filter out attendance periods updated before the provided date-time.", "example": "2023-01-01T12:00:00Z" }, { "name": "updated_at.lte", "in": "query", "required": false, "schema": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" }, "description": "Filter out attendance periods updated after the provided date-time.", "example": "2023-01-01T12:00:00Z" }, { "name": "attribution_date.gte", "in": "query", "required": false, "schema": { "type": "string", "format": "date" }, "description": "Matches attendance periods that are attributed to or after the provided date.", "example": "2022-12-31" }, { "name": "attribution_date.lte", "in": "query", "required": false, "schema": { "type": "string", "format": "date" }, "description": "Matches attendance periods that are attributed to or before the provided date.", "example": "2023-01-02" }, { "name": "project.id", "in": "query", "required": false, "schema": { "type": "array", "items": { "type": "string" } }, "description": "Matches attendance periods associated with any of the provided project IDs.", "example": "123" }, { "name": "status", "in": "query", "required": false, "description": "Status of attendance periods to filter by.", "schema": { "type": "string", "enum": [ "PENDING", "CONFIRMED", "REJECTED" ] } }, { "name": "sort", "in": "query", "required": false, "description": "Comma-separated list of fields to sort by. Prefix a field with `-` for descending order. Ascending has nulls last and DESC has nulls first Allowed fields: `person.id`, `start.date_time`, `end.date_time`, `updated_at`, `status`. Default sort order is `person.id,start.date_time,end.date_time` (all ascending).\n", "schema": { "type": "string", "pattern": "^-?(person\\.id|start\\.date_time|end\\.date_time|updated_at|status)(,-?(person\\.id|start\\.date_time|end\\.date_time|updated_at|status))*$" }, "examples": { "ascending": { "value": "start.date_time", "summary": "Sort by start time ascending" }, "descending": { "value": "-start.date_time", "summary": "Sort by start time descending" }, "multiple": { "value": "person.id,start.date_time,-end.date_time", "summary": "Sort by person ID ascending, then start time ascending, then end time descending" } } } ], "responses": { "200": { "$ref": "#/components/responses/ListAttendancePeriodResponse" }, "403": { "$ref": "#/components/responses/ForbiddenResponse" }, "422": { "$ref": "#/components/responses/ListAttendancePeriodBadRequestResponse" } } } } }, "components": { "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer" } }, "schemas": { "AttendancePeriod": { "type": "object", "description": "- Model of period entity. - Describes a period of work or break time associated with a person.", "properties": { "id": { "type": "string", "example": "1234" }, "person": { "type": "object", "description": "An object reference for a Person.", "required": [ "id" ], "properties": { "id": { "type": "string", "example": "1234" } } }, "type": { "description": "Field definition of attendance period types.", "type": "string", "enum": [ "WORK", "BREAK" ] }, "is_auto_generated": { "description": "Only applies to break periods. Auto generated periods are created by the system based on customer configured break rules.", "type": "boolean" }, "approval": { "type": "object", "description": "An object reference for approval details.", "required": [ "status" ], "properties": { "status": { "description": "Field definition of attendance period status.", "type": "string", "enum": [ "PENDING", "CONFIRMED", "REJECTED" ] } } }, "start": { "description": "Date time property", "type": "object", "required": [ "date_time" ], "properties": { "date_time": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" } } }, "end": { "description": "Date time property", "type": "object", "nullable": true, "required": [ "date_time" ], "properties": { "date_time": { "$ref": "#/components/schemas/DateTimeWithoutTimezone" } } }, "attribution_date": { "description": "The date that the work/break hours of this period are attributed to. This date can be different than both the date of the start and end time of this period, e.g. on overnight shifts.", "type": "string", "format": "date", "example": "2022-01-02" }, "created_at": { "description": "Date time property", "type": "string", "format": "date-time" }, "updated_at": { "description": "Date time property", "type": "string", "format": "date-time" }, "comment": { "type": "string", "nullable": true, "maxLength": 1000, "example": "An example comment." }, "project": { "nullable": true, "description": "Project object reference by ID.", "type": "object", "required": [ "id" ], "properties": { "id": { "type": "string", "example": "1234" } } } } }, "DateTimeWithoutTimezone": { "type": "string", "example": "2022-01-01T14:00:00", "description": "An RFC3339 date and timestamp without a timezone offset." } }, "responses": { "ForbiddenResponse": { "description": "Forbidden", "content": { "application/problem+json": { "schema": { "$ref": "#/components/responses/NotFoundResponse/content/application~1problem%2Bjson/schema" }, "examples": { "403 Forbidden response": { "$ref": "#/components/examples/ForbiddenResponse" } } } } }, "NotFoundResponse": { "description": "The resource could not be found.", "content": { "application/problem+json": { "schema": { "type": "object", "description": "This object represents an error response.", "properties": { "personio_trace_id": { "type": "string", "example": "aswo3f-a202lfso-312123sld-1230ddd", "description": "A unique ID that was created for this error." }, "timestamp": { "type": "string", "format": "date-time", "example": "2021-05-28T11:17:30.000Z", "description": "The timestamp of when the error occurred." }, "errors": { "type": "array", "items": { "type": "object", "properties": { "title": { "type": "string", "example": "Not found", "description": "The title of the error." }, "detail": { "type": "string", "example": "The requested resource was not found.", "description": "A short description about the error." }, "type": { "type": "string", "format": "uri", "example": "https://developer.personio.de/reference/errors#common.requested_resource_not_found", "description": "A link to the developer hub where more information can be found for the encountered error." }, "_meta": { "type": "object", "additionalProperties": { "type": "string" } } } } } } }, "examples": { "404 Resource Not Found": { "$ref": "#/components/examples/NotFoundResponse" } } } } }, "ListAttendancePeriodResponse": { "description": "Successful response", "content": { "application/json": { "schema": { "type": "object", "properties": { "_data": { "type": "array", "items": { "$ref": "#/components/schemas/AttendancePeriod" } }, "_meta": { "$ref": "#/components/responses/ListProjectsResponse/content/application~1json/schema/properties/_meta" } } }, "examples": { "200 LIST attendance periods": { "$ref": "#/components/examples/ListAttendancePeriods" }, "200 LIST attendance periods by limit": { "$ref": "#/components/examples/ListAttendancePeriodsByLimit" }, "200 LIST attendance periods by person id": { "$ref": "#/components/examples/ListAttendancePeriodsByPersonId" }, "200 LIST attendance periods by multiple person ids": { "$ref": "#/components/examples/ListAttendancePeriodsByMultiplePersonIds" }, "200 LIST attendance periods by status": { "$ref": "#/components/examples/ListAttendancePeriodsByStatus" }, "200 LIST attendance periods by ids": { "$ref": "#/components/examples/ListAttendancePeriodsByMultipleIds" }, "200 LIST attendance periods by start date from": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" }, "200 LIST attendance periods by start date to": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" }, "200 LIST attendance periods by end date from": { "$ref": "#/components/examples/ListAttendancePeriods" }, "200 LIST attendance periods by end date to": { "$ref": "#/components/examples/ListAttendancePeriods" }, "200 LIST attendance periods by updated date from": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" }, "200 LIST attendance periods by updated date to": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" }, "200 LIST attendance periods by attribution date from": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" }, "200 LIST attendance periods by attribution date to": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" }, "200 LIST attendance periods sorted by start time ascending": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" }, "200 LIST attendance periods sorted by multiple fields": { "$ref": "#/components/examples/ListAttendancePeriodsSingleExampleResponse" } } } } }, "ListAttendancePeriodBadRequestResponse": { "description": "Invalid request", "content": { "application/problem+json": { "schema": { "$ref": "#/components/responses/NotFoundResponse/content/application~1problem%2Bjson/schema" }, "examples": { "422 Invalid limit": { "$ref": "#/components/examples/InvalidListLimitResponse" }, "422 Invalid status": { "$ref": "#/components/examples/InvalidListStatusResponse" } } } } }, "ListProjectsResponse": { "description": "Successful response.", "content": { "application/json": { "schema": { "type": "object", "properties": { "_data": { "type": "array", "items": { "$ref": "#/components/schemas/Project" } }, "_meta": { "description": "This object represents the metadata information for an object. It's a set of arbitrary key/value attributes such as `links`.", "type": "object", "readOnly": true, "properties": { "links": { "type": "object", "additionalProperties": { "description": "This objects represents a hyperlink.", "type": "object", "readOnly": true, "properties": { "href": { "type": "string", "format": "uri" } }, "additionalProperties": true }, "example": { "links": { "self": { "href": "https://api.personio.de/v2/person?cursor=" } } } } } } } }, "examples": { "200 LIST projects": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by limit": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by id": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple ids": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by name": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple names": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by status": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by project code": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple project codes": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by parent project id": { "$ref": "#/components/examples/ListProjectsResponseSingleItem" }, "200 LIST projects by multiple parent project ids": { "$ref": "#/components/examples/ListProjectsResponseMultiItems" }, "200 LIST projects by top level only": { "$ref": "#/components/examples/ListProjectsByTopLevelOnly" }, "200 LIST projects with included fields": { "$ref": "#/components/examples/ListProjectsResponseWithInclude" } } } } } }, "examples": { "ForbiddenResponse": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30+00:00", "errors": [ { "title": "Access denied", "detail": "Access denied to perform attendance period operations.", "type": "https://developer.personio.de/reference/errors#common.forbidden_response" } ] } }, "ListAttendancePeriods": { "value": { "_data": [ { "id": "bd242cd1-5116-41a0-99aa-c12af4837c81", "person": { "id": "1234" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } }, { "id": "e7444385-0bb5-4705-b476-e5c0ff0910dd", "person": { "id": "1234" }, "type": "BREAK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T11:00:00" }, "end": { "date_time": "2024-06-07T11:30:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:30:30Z", "updated_at": "2024-06-07T11:35:30Z", "is_auto_generated": false }, { "id": "9b620908-8252-4dbb-b406-053a9b9d8e98", "person": { "id": "4321" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": null, "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/attendance-periods?cursor=35yM9aE27fsB4Joth7iDGgyk" }, "next": { "href": "https://api.personio.de/v2/attendance-periods?cursor=15sdwf2eIvLilN2dKFh211Js" } } } } }, "ListAttendancePeriodsByLimit": { "value": { "_data": [ { "id": "bd242cd1-5116-41a0-99aa-c12af4837c81", "person": { "id": "1234" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/attendance-periods?cursor=35yM9aE27fsB4Joth7iDGgyk" }, "next": { "href": "https://api.personio.de/v2/attendance-periods?cursor=15sdwf2eIvLilN2dKFh211Js" } } } } }, "ListAttendancePeriodsByPersonId": { "value": { "_data": [ { "id": "4ff86a18-defd-4eab-bad8-947bec55ae08", "person": { "id": "1" }, "type": "WORK", "approval": { "status": "CONFIRMED" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T14:55:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } }, { "id": "28f2d2a2-1383-4b5f-bc82-a37e28ca95a5", "person": { "id": "1" }, "type": "BREAK", "approval": { "status": "CONFIRMED" }, "start": { "date_time": "2024-06-07T11:00:00" }, "end": { "date_time": "2024-06-07T11:30:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:30:30Z", "updated_at": "2024-06-07T14:55:30Z", "is_auto_generated": true }, { "id": "4ff86a18-defd-4eab-bad8-947bec55ae08", "person": { "id": "1" }, "type": "WORK", "approval": { "status": "CONFIRMED" }, "start": { "date_time": "2024-06-07T11:30:00" }, "end": { "date_time": "2024-06-07T13:45:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T13:45:00Z", "updated_at": "2024-06-07T14:55:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "45678" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/attendance-periods?cursor=35yM9aE27fsB4Joth7iDGgyk" }, "next": { "href": "https://api.personio.de/v2/attendance-periods?cursor=15sdwf2eIvLilN2dKFh211Js" } } } } }, "ListAttendancePeriodsByMultiplePersonIds": { "value": { "_data": [ { "id": "4ff86a18-defd-4eab-bad8-947bec55ae08", "person": { "id": "1" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } }, { "id": "0bda65f8-94a7-4010-87a2-6dd8f9e35e9a", "person": { "id": "2" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } }, { "id": "34d9c596-ab53-4ad3-afcd-26554a0d25f3", "person": { "id": "3" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/attendance-periods?cursor=35yM9aE27fsB4Joth7iDGgyk" }, "next": { "href": "https://api.personio.de/v2/attendance-periods?cursor=15sdwf2eIvLilN2dKFh211Js" } } } } }, "ListAttendancePeriodsByStatus": { "value": { "_data": [ { "id": "8a9c52b0-a0ca-48d0-8fb6-bb8bcda949b9", "person": { "id": "14" }, "type": "WORK", "approval": { "status": "CONFIRMED" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/attendance-periods?cursor=35yM9aE27fsB4Joth7iDGgyk" }, "next": { "href": "https://api.personio.de/v2/attendance-periods?cursor=15sdwf2eIvLilN2dKFh211Js" } } } } }, "ListAttendancePeriodsByMultipleIds": { "value": { "_data": [ { "id": "bd242cd1-5116-41a0-99aa-c12af4837c81", "person": { "id": "1" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } }, { "id": "9b620908-8252-4dbb-b406-053a9b9d8e98", "person": { "id": "2" }, "type": "WORK", "approval": { "status": "PENDING" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/attendance-periods?cursor=35yM9aE27fsB4Joth7iDGgyk" }, "next": { "href": "https://api.personio.de/v2/attendance-periods?cursor=15sdwf2eIvLilN2dKFh211Js" } } } } }, "ListAttendancePeriodsSingleExampleResponse": { "value": { "_data": [ { "id": "8a9c52b0-a0ca-48d0-8fb6-bb8bcda949b9", "person": { "id": "14" }, "type": "WORK", "approval": { "status": "CONFIRMED" }, "start": { "date_time": "2024-06-07T08:00:00" }, "end": { "date_time": "2024-06-07T11:00:00" }, "attribution_date": "2024-06-07", "created_at": "2024-06-07T11:17:30Z", "updated_at": "2024-06-07T11:17:30Z", "comment": "Comment associated with this attendance period.", "is_auto_generated": false, "project": { "id": "82173" } } ], "_meta": { "links": { "self": { "href": "https://api.personio.de/v2/attendance-periods?cursor=35yM9aE27fsB4Joth7iDGgyk" }, "next": { "href": "https://api.personio.de/v2/attendance-periods?cursor=15sdwf2eIvLilN2dKFh211Js" } } } } }, "InvalidListLimitResponse": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30Z", "errors": [ { "title": "Invalid limit parameter.", "detail": "The provided value for the 'limit' parameter is invalid. Please ensure that the value is an integer within the range 1-200." } ] } }, "InvalidListStatusResponse": { "value": { "personio_trace_id": "aswo3f-a202lfso-312123sld-1230ddd", "timestamp": "2021-05-28T11:17:30Z", "errors": [ { "title": "Invalid status parameter.", "detail": "The provided value for the 'status' parameter is invalid. Please ensure that the value is one of: [PENDING, CONFIRMED, REJECTED]." } ] } } } } } ```